aboutsummaryrefslogtreecommitdiff
path: root/bigtop-packages/src/deb/tajo
diff options
context:
space:
mode:
Diffstat (limited to 'bigtop-packages/src/deb/tajo')
-rw-r--r--bigtop-packages/src/deb/tajo/compat1
-rw-r--r--bigtop-packages/src/deb/tajo/control43
-rw-r--r--bigtop-packages/src/deb/tajo/copyright15
-rw-r--r--bigtop-packages/src/deb/tajo/rules41
-rw-r--r--bigtop-packages/src/deb/tajo/source/format1
-rw-r--r--bigtop-packages/src/deb/tajo/tajo.postinst35
-rw-r--r--bigtop-packages/src/deb/tajo/tajo.preinst62
-rw-r--r--bigtop-packages/src/deb/tajo/tajo.prerm38
8 files changed, 236 insertions, 0 deletions
diff --git a/bigtop-packages/src/deb/tajo/compat b/bigtop-packages/src/deb/tajo/compat
new file mode 100644
index 00000000..ec635144
--- /dev/null
+++ b/bigtop-packages/src/deb/tajo/compat
@@ -0,0 +1 @@
+9
diff --git a/bigtop-packages/src/deb/tajo/control b/bigtop-packages/src/deb/tajo/control
new file mode 100644
index 00000000..4d1f2ae1
--- /dev/null
+++ b/bigtop-packages/src/deb/tajo/control
@@ -0,0 +1,43 @@
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements. See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+Source: tajo
+Section: misc
+Priority: extra
+Maintainer: Bigtop <dev@bigtop.apache.org>
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.4
+Homepage: http://tajo.apache.org/
+
+Package: tajo
+Architecture: all
+Depends: hadoop, hadoop-hdfs, hadoop-yarn, hadoop-mapreduce, hadoop-client
+Description: A robust big data relational and distributed data warehouse system.
+ Tajo is designed for low-latency and scalable ad-hoc queries, online aggregation, and ETL (extract-transform-load process)
+ on large-data sets stored on HDFS (Hadoop Distributed File System) and other data sources.
+ By supporting SQL standards and leveraging advanced database techniques,
+ Tajo allows direct control of distributed execution and data flow across a variety of query evaluation strategies and optimization opportunities.
+
+Package: tajo-master
+Architecture: all
+Depends: tajo (= ${source:Version})
+Description: Tajo master
+ Server for Tajo master
+
+Package: tajo-worker
+Architecture: all
+Depends: tajo (= ${source:Version})
+Description: Tajo worker
+ Server for Tajo worker
diff --git a/bigtop-packages/src/deb/tajo/copyright b/bigtop-packages/src/deb/tajo/copyright
new file mode 100644
index 00000000..39e22494
--- /dev/null
+++ b/bigtop-packages/src/deb/tajo/copyright
@@ -0,0 +1,15 @@
+Format: http://dep.debian.net/deps/dep5
+Source: http://tajo.apache.org/
+Upstream-Name: Apache Tajo
+
+Files: *
+Copyright: 2008-2015, The Apache Software Foundation
+License: Apache-2.0
+
+Files debian/*
+Copyright: 2015, The Apache Software Foundation
+License: Apache-2.0
+
+License: Apache-2.0
+ On Debian systems, the complete text of the Apache 2.0 license
+ can be found in "/usr/share/common-licenses/Apache-2.0".
diff --git a/bigtop-packages/src/deb/tajo/rules b/bigtop-packages/src/deb/tajo/rules
new file mode 100644
index 00000000..edfb3bbe
--- /dev/null
+++ b/bigtop-packages/src/deb/tajo/rules
@@ -0,0 +1,41 @@
+#!/usr/bin/make -f
+#
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements. See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# -*- makefile -*-
+
+# Uncomment this to turn on verbose mode.
+export DH_VERBOSE=1
+
+# This has to be exported to make some magic below work.
+export DH_OPTIONS
+
+%:
+ dh $@
+
+override_dh_auto_build:
+ # we'll just use the build from the tarball.
+ sh debian/do-component-build -Dmaven.repo.local=${HOME}/.m2/repository
+
+override_dh_auto_install:
+ sh debian/install_tajo.sh \
+ --build-dir=build \
+ --source-dir=debian \
+ --bin-dir=/usr/bin \
+ --prefix=debian/tmp
+ mkdir -p debian/tajo/etc/init.d/
+ sh debian/init.d.tmpl debian/tajo-master.svc deb debian/tajo-master.init
+ sh debian/init.d.tmpl debian/tajo-worker.svc deb debian/tajo-worker.init \ No newline at end of file
diff --git a/bigtop-packages/src/deb/tajo/source/format b/bigtop-packages/src/deb/tajo/source/format
new file mode 100644
index 00000000..163aaf8d
--- /dev/null
+++ b/bigtop-packages/src/deb/tajo/source/format
@@ -0,0 +1 @@
+3.0 (quilt)
diff --git a/bigtop-packages/src/deb/tajo/tajo.postinst b/bigtop-packages/src/deb/tajo/tajo.postinst
new file mode 100644
index 00000000..1247cb16
--- /dev/null
+++ b/bigtop-packages/src/deb/tajo/tajo.postinst
@@ -0,0 +1,35 @@
+#!/bin/bash
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements. See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -e
+
+case "$1" in
+ configure)
+ # Install config alternatives
+ update-alternatives --install /etc/tajo/conf tajo-conf /etc/tajo/conf.dist 30
+ chown -R tajo:tajo /var/log/tajo /var/lib/tajo /var/run/tajo
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
diff --git a/bigtop-packages/src/deb/tajo/tajo.preinst b/bigtop-packages/src/deb/tajo/tajo.preinst
new file mode 100644
index 00000000..ee7a7944
--- /dev/null
+++ b/bigtop-packages/src/deb/tajo/tajo.preinst
@@ -0,0 +1,62 @@
+#!/bin/bash
+#
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements. See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# preinst script for tajo
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <new-preinst> `install'
+# * <new-preinst> `install' <old-version>
+# * <new-preinst> `upgrade' <old-version>
+# * <old-preinst> `abort-upgrade' <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ install|upgrade)
+ if ! getent passwd tajo >/dev/null; then
+ # Adding system user: tajo .
+ adduser \
+ --system \
+ --group \
+ --home /var/lib/tajo \
+ --gecos "Tajo" \
+ --shell /bin/false \
+ tajo >/dev/null
+ fi
+ ;;
+
+ abort-upgrade)
+ ;;
+
+ *)
+ echo "preinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
diff --git a/bigtop-packages/src/deb/tajo/tajo.prerm b/bigtop-packages/src/deb/tajo/tajo.prerm
new file mode 100644
index 00000000..f9411f5b
--- /dev/null
+++ b/bigtop-packages/src/deb/tajo/tajo.prerm
@@ -0,0 +1,38 @@
+#!/bin/bash
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements. See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -e
+
+case "$1" in
+ remove|upgrade|deconfigure)
+ update-alternatives --remove tajo-conf /etc/tajo/conf.dist || :
+ ;;
+
+ failed-upgrade)
+ ;;
+
+ *)
+ echo "prerm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0